Subject: RE: I-D examples wanted

From: "Durand, Alain" <[email-masked]>
Date: Tue, 14 Mar 2006 08:46:39 -0500

Ever since I switched from nroff to xml and started to use XML2RFC
http://xml.resource.org/ this problem went away.

I was very reluctant at first to switched from something I knew (nroff),
but it was worth it.

   - Alain.

> -----Original Message-----
> From: James Carlson [mailto:[email-masked]] 
> Sent: Tuesday, March 14, 2006 8:36 AM
> To: [email-masked]
> Subject: I-D examples wanted
> 
> One of the newer pppext participants had an idea to help I-D 
> authors (and wg chairs as well), and I figured this would be 
> a reasonable place to solicit comments and perhaps some help.
> 
> It seems that getting all of the newly-picky boilerplate and 
> layout bits right is becoming a bit of a barrier, to the 
> point where only a handful of people seem to get it right in 
> the first shot, and most are sent back through hours of drudge work.
> 
> The idea was to have a set of example correctly-formed I-D 
> sources (in various useful formats, say nroff and XML) on one 
> of the I-D web pages (such as 
> http://www.ietf.org/ietf/1id-guidelines.html or perhaps 
> http://www.rfc-editor.org/formatting.html), so that authors 
> could crib from something known to be right.  Better still if 
> these could be kept up-to-date with each change to the 
> process.  (It seems virtually certain to me that there'll be 
> more changes in the future.)
> 
> The only referenced examples I could dig up directly were these:
> 
>   ftp://ftp.rfc-editor.org/in-notes/rfc-editor/2-nroff.template
>   ftp://ftp.rfc-editor.org/in-notes/rfc-editor/2-Word.template.rtf
> 
> which are both stale enough to be useless for this purpose.  
> Am I looking in the wrong place, or do we expect I-D authors 
> to be illuminated manuscript writers as well?  ;-}
> 
> -- 
> James Carlson, KISS Network                    
> <[email-masked]>
> Sun Microsystems / 1 Network Drive         71.232W   Vox +1 
> 781 442 2084
> MS UBUR02-212 / Burlington MA 01803-2757   42.496N   Fax +1 
> 781 442 1677
> 
>